> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an attachment

> Upload a file attachment that can be used in Devin sessions.

## Permissions

Requires a service user with the `UseDevinSessions` permission at the organization level.


## OpenAPI

````yaml /v3-openapi.yaml POST /v3/organizations/{org_id}/attachments
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/attachments:
    post:
      tags:
        - attachments
      summary: Upload an attachment
      description: Upload a file attachment that can be used in Devin sessions.
      operationId: handle_upload_attachment_v3_organizations__org_id__attachments_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_handle_upload_attachment_v3_organizations__org_id__attachments_post
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    Body_handle_upload_attachment_v3_organizations__org_id__attachments_post:
      properties:
        file:
          format: binary
          title: File
          type: string
      required:
        - file
      title: Body_handle_upload_attachment_v3_organizations__org_id__attachments_post
      type: object
    AttachmentResponse:
      properties:
        attachment_id:
          title: Attachment Id
          type: string
        name:
          title: Name
          type: string
        url:
          title: Url
          type: string
      required:
        - attachment_id
        - name
        - url
      title: AttachmentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````